# $Revision: 1.17 $, $Date: 2012/03/15 07:16:42 $
%define		plugin	check_ipmi
Summary:	Nagios plugin to check IPMI status
Name:		nagios-plugin-%{plugin}
Version:	1.15
Release:	1
License:	GPL v2
Group:		Networking
Source0:	%{plugin}
Source1:	%{plugin}.cfg
Source2:	README
BuildRequires:	rpmbuild(macros) >= 1.552
Requires:	grep
Requires:	ipmi-init
Requires:	ipmitool
Requires:	nagios-common >= 3.2.3-3
Requires:	nagios-plugins-libs
Requires:	sed
Requires:	sudo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		cachedir	/var/spool/nagios
%define		cachefile	%{cachedir}/%{plugin}.sdr

%description
Nagios plugin to check IPMI status.

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}
cp -p %{SOURCE2} .

ver=$(awk '/^R=/{print $2}' %{plugin})
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir},%{cachedir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
sed -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
touch $RPM_BUILD_ROOT%{cachefile}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
	# setup sudo rules on first install
	%{plugindir}/%{plugin} -S %{cachefile} || :
fi

%postun
if [ "$1" = 0 ]; then
	# remove all sudo rules related to us
	%{__sed} -i -e '/CHECK_IPMI/d' /etc/sudoers
fi

%triggerin -- nagios-nrpe
%nagios_nrpe -a %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%triggerun -- nagios-nrpe
%nagios_nrpe -d %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%ghost %{cachefile}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_ipmi.spec,v $
Revision 1.17  2012/03/15 07:16:42  glen
- v1.15: add verbose output support

Revision 1.16  2011/03/09 10:23:40  glen
- improve ipmi check, chassis status exited with 0 if /dev/ipmi0 existed but pointed to wrong device (like gdth driver)
- LC_ALL=C to avoid localized output side effects
- version 1.14

Revision 1.15  2011/02/03 09:49:51  glen
- requires ipmi-init on boot

Revision 1.14  2011/01/21 11:19:24  glen
- one more debug off, damn it

Revision 1.13  2011/01/14 16:04:50  glen
- debug off

Revision 1.12  2011/01/14 10:35:27  glen
- 1.11

Revision 1.11  2011/01/14 10:20:30  glen
- add -I option to allow ignoring by status

Revision 1.10  2011/01/13 14:39:41  glen
- add README

Revision 1.9  2011/01/13 13:18:34  glen
- requires grep

Revision 1.8  2011/01/13 13:18:00  glen
- add support to ignore sensors by grep extended regexp
- count non-critical sensors as warning
- nc ignore reverted

Revision 1.7  2011/01/12 11:21:06  glen
- skip "nc" (Non-Critical)

Revision 1.6  2011/01/03 15:51:08  glen
- when ipmi modules get unloaded the sdr cache reports all sensors "ns", detect
  error when no sensors are ok.

Revision 1.5  2010/12/12 22:13:00  glen
- typo

Revision 1.4  2010/12/10 00:59:32  glen
- some automation improvements

Revision 1.3  2010/12/09 22:42:33  glen
- fixed cachefile in sudo rules

Revision 1.2  2010/12/09 22:36:26  glen
- release 1

Revision 1.1  2010/12/09 22:16:46  glen
- initial plugin, based on php version by op5.org
